.TH wxXmlResource 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxXmlResource \- See external documentation: wxXmlResource\&.
.SH DESCRIPTION
.LP
See external documentation: wxXmlResource <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxXmlResource()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxXmlResource()
.br
.RS
.LP
Equivalent to new([])\&.
.RE
.LP
.B
new(Options::[Option]) -> wxXmlResource()
.br
.RS
.TP
Types
Option = {flags, integer()} | {domain, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourcewxxmlresource>\&.
.RE
.LP
.B
new(Filemask::string(), Options::[Option]) -> wxXmlResource()
.br
.RS
.TP
Types
Option = {flags, integer()} | {domain, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourcewxxmlresource>\&.
.RE
.LP
.B
attachUnknownControl(This::wxXmlResource(), Name::string(), Control::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
Equivalent to attachUnknownControl(This, Name, Control, [])\&.
.RE
.LP
.B
attachUnknownControl(This::wxXmlResource(), Name::string(), Control::wxWindow() (see module wxWindow), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {parent, wxWindow() (see module wxWindow)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceattachunknowncontrol>\&.
.RE
.LP
.B
clearHandlers(This::wxXmlResource()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceclearhandlers>\&.
.RE
.LP
.B
compareVersion(This::wxXmlResource(), Major::integer(), Minor::integer(), Release::integer(), Revision::integer()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourcecompareversion>\&.
.RE
.LP
.B
get() -> wxXmlResource()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceget>\&.
.RE
.LP
.B
getFlags(This::wxXmlResource()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourcegetflags>\&.
.RE
.LP
.B
getVersion(This::wxXmlResource()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourcegetversion>\&.
.RE
.LP
.B
getXRCID(Str_id::[string()]) -> integer()
.br
.RS
.LP
Equivalent to getXRCID(Str_id, [])\&.
.RE
.LP
.B
getXRCID(Str_id::[string()], Options::[Option]) -> integer()
.br
.RS
.TP
Types
Option = {value_if_not_found, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourcegetxrcid>\&.
.RE
.LP
.B
initAllHandlers(This::wxXmlResource()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceinitallhandlers>\&.
.RE
.LP
.B
load(This::wxXmlResource(), Filemask::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceload>\&.
.RE
.LP
.B
loadBitmap(This::wxXmlResource(), Name::string()) -> wxBitmap() (see module wxBitmap)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceloadbitmap>\&.
.RE
.LP
.B
loadDialog(This::wxXmlResource(), Parent::wxWindow() (see module wxWindow), Name::string()) -> wxDialog() (see module wxDialog)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceloaddialog>\&.
.RE
.LP
.B
loadDialog(This::wxXmlResource(), Dlg::wxDialog() (see module wxDialog), Parent::wxWindow() (see module wxWindow), Name::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceloaddialog>\&.
.RE
.LP
.B
loadFrame(This::wxXmlResource(), Parent::wxWindow() (see module wxWindow), Name::string()) -> wxFrame() (see module wxFrame)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceloadframe>\&.
.RE
.LP
.B
loadFrame(This::wxXmlResource(), Frame::wxFrame() (see module wxFrame), Parent::wxWindow() (see module wxWindow), Name::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceloadframe>\&.
.RE
.LP
.B
loadIcon(This::wxXmlResource(), Name::string()) -> wxIcon() (see module wxIcon)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceloadicon>\&.
.RE
.LP
.B
loadMenu(This::wxXmlResource(), Name::string()) -> wxMenu() (see module wxMenu)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceloadmenu>\&.
.RE
.LP
.B
loadMenuBar(This::wxXmlResource(), Name::string()) -> wxMenuBar() (see module wxMenuBar)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceloadmenubar>\&.
.RE
.LP
.B
loadMenuBar(This::wxXmlResource(), Parent::wxWindow() (see module wxWindow), Name::string()) -> wxMenuBar() (see module wxMenuBar)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceloadmenubar>\&.
.RE
.LP
.B
loadPanel(This::wxXmlResource(), Parent::wxWindow() (see module wxWindow), Name::string()) -> wxPanel() (see module wxPanel)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceloadpanel>\&.
.RE
.LP
.B
loadPanel(This::wxXmlResource(), Panel::wxPanel() (see module wxPanel), Parent::wxWindow() (see module wxWindow), Name::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceloadpanel>\&.
.RE
.LP
.B
loadToolBar(This::wxXmlResource(), Parent::wxWindow() (see module wxWindow), Name::string()) -> wxToolBar() (see module wxToolBar)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceloadtoolbar>\&.
.RE
.LP
.B
set(Res::wxXmlResource()) -> wxXmlResource()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceset>\&.
.RE
.LP
.B
setFlags(This::wxXmlResource(), Flags::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourcesetflags>\&.
.RE
.LP
.B
unload(This::wxXmlResource(), Filename::string()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxxmlresource\&.html#wxxmlresourceunload>\&.
.RE
.LP
.B
xrcctrl(Window::wxWindow() (see module wxWindow), Name::string(), Type::atom()) -> wxObject() (see module wx)
.br
.RS
.LP
Looks up a control with Name in a window created with XML resources\&. You can use it to set/get values from controls\&. The object is type casted to \fIType\fR\&. Example: 
.br
 Xrc = wxXmlResource:get(), 
.br
 Dlg = wxDialog:new(), 
.br
 true = wxXmlResource:loadDialog(Xrc, Dlg, Frame, "controls_dialog"), 
.br
 LCtrl = xrcctrl(Dlg, "controls_listctrl", wxListCtrl), 
.br
 wxListCtrl:insertColumn(LCtrl, 0, "Name", [{width, 200}]), 
.br

.RE
.LP
.B
destroy(This::wxXmlResource()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
